package com.jwipc.order.convert;

import com.jwipc.order.dto.LabelBarBaseDTO;
import com.jwipc.order.dto.LabelPrintOptionDTO;
import com.jwipc.order.entity.LabelBar;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;


@Mapper(componentModel = "spring")
public interface LabelBarConvert {
    @Mapping(source = "purchaseOrderCode", target = "orderNumber")
    LabelBar option2Entity(LabelPrintOptionDTO labelPrintOptionDTO);

    List<LabelBarBaseDTO> entities2Dtos(List<LabelBar> insertList);

    LabelBarBaseDTO entity2Dto(LabelBar labelBar);
}
